package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdActivityRef;
import com.xmomen.module.base.entity.CdActivityRefExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdActivityRefMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdActivityRefExample example);

    // 根据条件删除记录
    int deleteByExample(CdActivityRefExample example);

    // 插入记录
    int insertSelective(CdActivityRef record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdActivityRef record, @Param("example") CdActivityRefExample example);
}